Subject: bug#46117: 12.3.1; windows unfriendly change

From: Matt Stinson <[email-masked]>
Date: Wed, 27 Jan 2021 08:21:50 -0600

Hello Ikumi,

Yes, you are correct in your assumptions regarding my configuration. In
fact, I am using straight.el (2nd github link you found). While I agree
that this issue is not strictly a bug, it is inconvenient for users who
automate the git package pulling process from many repositories (such as
straight.el users). If acceptable, I would request that the relaxed coding
setting is used (without the "-unix"), especially since the autocrlf
setting is very commonly used on windows (default in fact).

To put this case in perspective, I have almost 100 different emacs package
repositories that are automatically pulled down using git and this is
literally the only emacs lisp file among the complete set that has this
issue.

By the way, I have tested on my end and I can confirm that simply removing
the "-unix" from the coding and rebuilding resolves any issue.

Thank you,
Matt

On Wed, Jan 27, 2021 at 1:53 AM Ikumi Keita <[email-masked]> wrote:

> Hi Matt,
>
> >>>>> Matt Stinson <[email-masked]> writes:
> > When the auctex builds I receive the following error related to
> tex-jp.el:
> > "local variables
>
> > entry is missing the suffix"
>
> I assume the following two:
> (1) You are using git for windows which enables autocrlf feature.
> (2) You built AUCTeX on a local copy of git repository.
> (Actually I couldn't reproduce the problem by just copying the files to
> my windows 10 and running configure and make with msys. It's only after
> a web search with the keywords "local variables entry is missing the
> suffix" that I realized what's going on by references such as:
> https://github.com/hlissner/doom-emacs/issues/2637
> https://github.com/raxod502/straight.el/issues/346
> https://github.com/tumashu/helm-posframe/pull/9
> https://github.com/ikirill/irony-eldoc/pull/13
> )
> The autocrlf feature silently converts the eol of the files in the
> working directory from LF to CRLF, which ends up with contradicting
> coding: tag specified in tex-jp.el.
>
> I think that the proper approach for this issue is to turn off the
> autocrlf feature for at least the local AUCTeX repository, but at the
> same time think that it isn't bad to make AUCTeX more generous to
> loosely configured local git repos. I'll remove eol suffix from coding:
> tag.
>
> > The recent change to tex-jp.el (commit:
> > 384c1d2528eba44cd53d8ea42e151c7b4445bafd) appears to have added a
>
> > windows unfriendly coding.
>
> > I think rather than
>
> > coding: iso-2022-jp-unix
>
> > it should be
>
> > coding: iso-2022-jp
>
> I don't think it's windows unfriendly. As stated above, the current tag
> coding: iso-2022-jp-unix
> works fine even on windows if the file is copied as-is, without eol
> format conversion. In my opinion, it's more of the problem on the side
> of git for windows, with respect to the status of autocrlf feature.
>
> Regards,
> Ikumi Keita
>